package net.wanji.utc.service.staticinfo;

import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.dao.entity.CrossSchedulesPO;
import net.wanji.databus.dto.CrossSchemeQueryDTO;
import net.wanji.databus.dto.CrossSchemeRingsDTO;
import net.wanji.databus.dto.QueryByCrossIdAndTimeDTO;
import net.wanji.utc.common.Result;

import java.util.List;

/**
 * @author duanruiming
 * @date 2023/01/09 9:20
 */
public interface WanJiCommonStaticInfoService {

    /**
     * 静态参数，获取万集标准方案数据-方案信息、相位信息、灯组信息
     *
     * @param crossId
     * @param signalId
     * @return
     */
    void schemePhaseLights(String crossId, String signalId) throws Exception;

    /**
     * 静态参数，获取计划数据-计划信息、时段信息
     * @param crossId
     * @param planNo
     * @param signalId
     * @return
     */
    void planSection(String crossId, String signalId, Integer planNo) throws Exception;

    /**
     * 静态参数，获取时间表数据
     * @param crossId
     * @param signalId
     * @return
     */
    Result<List<CrossSchedulesPO>> schedules(String crossId, String signalId) throws Exception;

    JsonViewObject signalTime(String crossId) throws Exception;
    /**
    * @Description 获取当前运行的方案号
    * @Param [crossId] 路口编号
    * @return net.wanji.common.framework.rest.JsonViewObject
    **/

    JsonViewObject crossSchemeNo(String crossId) throws Exception;
    /**
    * @Description 方案环图请求
    * @return net.wanji.common.framework.rest.JsonViewObject
    **/

    JsonViewObject crossSchemeRings(CrossSchemeRingsDTO crossSchemeRingsDTO) throws Exception;
    JsonViewObject schemeOptLog(CrossSchemeRingsDTO crossSchemeRingsDTO) throws Exception;
    JsonViewObject selectSchemeByParams(QueryByCrossIdAndTimeDTO queryByCrossIdAndTimeDTO) throws Exception;
    JsonViewObject selectSchemeOptLogByParams(CrossSchemeQueryDTO crossSchemeQueryDT) throws Exception;

}
